import Taro, { Component } from '@tarojs/taro'
import { getPointsRule } from '@/services/user'

/**
 * 积分提示
 * @param {*} code
 */
export function rule(code) {

    return new Promise((resolve, reject) => {
        getPointsRule().then(res => {
            const rule = (res.records || []).filter(item => item.code == code)[0]
            switch (code) {
                case 'checkin':
                    return rule.pointsAmount > 0 ? Taro.showToast({ title: `签到成功，获取${rule.pointsAmount}积分`, icon: 'none' }) : Taro.showToast({ title: '签到成功！' })
                // case 'share-poster':
                //     return rule.pointsAmount > 0 ? Taro.showToast({ title: `签到成功，获取${rule.pointsAmount}积分`, icon: 'none' }) : Taro.showToast({ title: '签到成功！', icon: 'none' })
                case 'recommend-customer':
                    return rule.pointsAmount > 0 ? Taro.showToast({ title: `后台审核通过后您将获得${rule.pointsAmount}积分`, icon: 'none' }) : Taro.showToast({ title: '提交成功' })
                case 'signup-agent':
                    return rule.pointsAmount > 0 ? Taro.showToast({ title: `授权成功，获取${rule.pointsAmount}积分`, icon: 'none' }) : Taro.showToast({ title: '授权成功！' })
                case 'document_verify':
                    return rule.pointsAmount > 0 ? Taro.showToast({ title: `后台审核通过后您将获得${rule.pointsAmount}积分`, icon: 'none' }) : Taro.showToast({ title: '提交成功！' })
                case 'activity_checkin':
                    return rule.pointsAmount > 0 ? Taro.showToast({ title: `签到成功，获取${rule.pointsAmount}积分`, icon: 'none' }) : Taro.showToast({ title: '签到成功！' })
                default:
                    return
            }
        }).catch(err => {
            console.error(err)
            reject(err.message || err)
        })
    })

}
